Name: mx4j
Version: 3.0.1
Release: alt2

Summary: An Open Source JMX implementation
Group: Development/Java
License: Apache
URL: http://mx4j.sourceforge.net/

Requires(post,preun): alternatives >= 0.2.0
Provides: jmx_impl

Source: %name-%version-src.tar.bz2

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant
BuildRequires: j2se-devel >= 1.4
BuildRequires: bcel >= 5.0
BuildRequires: jakarta-commons-logging >= 1.0
BuildRequires: log4j >= 1.2
#BuildRequires: junit ant-junit
#BuildRequires: jaxp_transform_impl ant-trax
#BuildRequires: axis

%description
MX4J is an Open Source implementation of the Java Management Extensions
technology.
This package provides an implementation for JSR 3 (JMX API).

%package remote
Summary: An Open Source JMX Remote API implementation
Group: Development/Java

%description remote
MX4J is an Open Source implementation of the Java Management Extensions
technology.
This package provides an implementation for JSR 160 (JMX Remote API).

%prep
%setup -q
for a in bcel jakarta-commons-logging log4j; do
    %__ln_s %_javadir/$a.jar lib/
done

%build
#set_classpath %_javadir/jaxp_transform_impl.jar

cd build
%ant_build compile.jmx compile.rjmx
#ant_build javadocs docs

%install
%__mkdir_p $RPM_BUILD_ROOT%_javadir
%__install -m644 dist/lib/mx4j.jar \
    $RPM_BUILD_ROOT%_javadir/%name.jar
%__install -m644 dist/lib/mx4j-remote.jar \
    $RPM_BUILD_ROOT%_javadir/%name-remote.jar

%__install -d -m 755 %buildroot%_altdir
cat <<EOF > %buildroot%_altdir/%name
%_javadir/jmx_impl.jar	%_javadir/%name.jar	10
EOF

%post
%register_alternatives %name -- jmx_impl

%preun
%unregister_alternatives %name

%files
%doc LICENSE.txt README.txt RELEASE-NOTES*.txt
%_javadir/%name.jar
%_altdir/%name

%files remote
%_javadir/%name-remote.jar

%changelog
* Wed Aug 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.0.1-alt2
- Added /proc to BuildRequires

* Sat Jul 30 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.0.1-alt1
- New upstream release

* Fri Feb 25 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.0.0-alt1
- New upstream release

* Thu Jan 20 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.1.1-alt1
- New upstream release

* Tue Nov 23 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.1.0-alt1
- New upstream release
- Package the all-in-one jars containing both API and implementation
- Provided jmx_impl alternative (thanks to Vladimir Lettiev for insight)

* Tue Jul 13 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.0.1-alt1
- New package for Sisyphus.
